Bug 1381692 - rgw_lookup can not exact match file name
Summary: rgw_lookup can not exact match file name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 2.1
Hardware: All
OS: All
medium
medium
Target Milestone: rc
: 2.1
Assignee: Matt Benjamin (redhat)
QA Contact: Ramakrishnan Periyasamy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-04 18:29 UTC by Matt Benjamin (redhat)
Modified: 2017-07-30 15:52 UTC (History)
10 users (show)

Fixed In Version: RHEL: ceph-10.2.3-4.el7cp Ubuntu: ceph_10.2.3-5redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-22 19:31:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Ceph Project Bug Tracker 17326 None None None 2016-10-05 19:27:00 UTC
Red Hat Product Errata RHSA-2016:2815 normal SHIPPED_LIVE Moderate: Red Hat Ceph Storage security, bug fix, and enhancement update 2017-03-22 02:06:33 UTC

Description Matt Benjamin (redhat) 2016-10-04 18:29:10 UTC
rgw_lookup can not exact match file name

(special case)

Matches upstream tracker issue: http://tracker.ceph.com/issues/17326

Fixed in:
commit d2c62e93f2b497339e9786fa46bbcb40fb906c79
Author: Min Chen <chenmin@xsky.com>
Date:   Fri Aug 19 01:02:50 2016 -0400

    rgw: rgw file fix bug of rgw_lookup can not exact match file name
    
    bug reproduce steps:
    in nfs-client (connect to nfs-ganesha server):
    1. mv file file.rename
    2. stat file // get file attrs, not return with -ENOENT
    
    the reason is that:
    RGWStatLeafRequest does not exact match the file name,
    just take file name as a prefix filter
    
    Signed-off-by: Min Chen <chenmin@xsky.com>
    (cherry picked from commit 9d813bafc8e197507457c58ab4f365ccdb7f3589)

Comment 5 Ramakrishnan Periyasamy 2016-11-02 17:18:39 UTC
After moving file to different name still file attributes are with same properties.

[ubuntu@magna105 bucket-from-nfs]$ ll
total 9884
-rw-r--r--. 1 4294967294 4294967294       66 Nov  2 17:12 ceph.client.magna104.keyring
-rw-r--r--. 1 4294967294 4294967294 10118605 Nov  2 17:10 ceph_output
-rw-r--r--. 1 4294967294 4294967294     1913 Nov  2 17:11 ganesha.conf
-rw-r--r--. 1 4294967294 4294967294     1043 Nov  2 17:11 old_ceph.conf
[ubuntu@magna105 bucket-from-nfs]$ 
[ubuntu@magna105 bucket-from-nfs]$ 
[ubuntu@magna105 bucket-from-nfs]$ 
[ubuntu@magna105 bucket-from-nfs]$ 
[ubuntu@magna105 bucket-from-nfs]$ mv ganesha.conf old_ganesha.conf
[ubuntu@magna105 bucket-from-nfs]$ ll
total 9884
-rw-r--r--. 1 4294967294 4294967294       66 Nov  2 17:12 ceph.client.magna104.keyring
-rw-r--r--. 1 4294967294 4294967294 10118605 Nov  2 17:10 ceph_output
-rw-r--r--. 1 4294967294 4294967294     1043 Nov  2 17:11 old_ceph.conf
-rw-r--r--. 1 4294967294 4294967294     1913 Nov  2 17:11 old_ganesha.conf
[ubuntu@magna105 bucket-from-nfs]$ stat old_ganesha.conf 
  File: ‘old_ganesha.conf’
  Size: 1913            Blocks: 3          IO Block: 1048576 regular file
Device: 2ah/42d Inode: 2292828776966273518  Links: 1
Access: (0644/-rw-r--r--)  Uid: (4294967294/ UNKNOWN)   Gid: (4294967294/ UNKNOWN)
Context: system_u:object_r:nfs_t:s0
Access: 2016-11-02 17:11:22.863373298 +0000
Modify: 2016-11-02 17:11:22.863373298 +0000
Change: 2016-11-02 17:11:22.863373298 +0000
 Birth: -
[ubuntu@magna105 bucket-from-nfs]$ 


Moving the bug to verified state.

Comment 7 errata-xmlrpc 2016-11-22 19:31:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2815.html


Note You need to log in before you can comment on or make changes to this bug.